注册 登录  
 加关注
   显示下一条  |  关闭
温馨提示!由于新浪微博认证机制调整,您的新浪微博帐号绑定已过期,请重新绑定!立即重新绑定新浪微博》  |  关闭

和申的个人主页

专注于java开发,1985wanggang

 
 
 

日志

 
 

如何解决Drupal7安装模块时出现的WARNING: You are not using an encrypted connection错误  

2013-08-28 22:20:33|  分类: PHP |  标签: |举报 |字号 订阅

  下载LOFTER 我的照片书  |
解决方法:apache ubuntu下
sudo chown www-data:www-data -R /var/www/drupal
 

今天装好drupal7后,安装模块时出现了这样的错误:

----------------------
WARNING: You are not using an encrypted connection, so your password will be sent in plain text. Learn more.

To continue, provide your server connection details

Connection method

FTP CONNECTION SETTINGS
.....

etc
----------------------

以前wordpress安装插件时也出现过类似的错误,我觉得可能是权限的问题,于是我给了整个module目录777的权限,再试,错误还在。

于是上网找解决方法,发现有一个外国朋友的解决方案,如下:

----------------------

I had the same problem with drupal 7rc4 on ubuntu and nginx and for me just were the permissions of drupal files

I solved it as follows

open a termninal and write

sudo chown www-data:www-data -R /var/www/drupal

where www-data is nginx user (maybe is the same with apache) and /var/www/drupal is the path drupal installation

----------------------

他也出现了同样的错误,不过是在ubuntu的nginx环境下,我的是centos的nginx环境,解决方法是一样的。他的nginx用户名是www-data,drupal安装在/var/www/drupal下,于是打开终端输入:

sudo chown www-data:www-data -R /var/www/drupal

就可以了。

我的nginx用户名是www,drupal安装在/home/wwwroot下面,在终端中输入的是:

chown www:www -R /home/wwwroot

然后再安装模块,就没有错误提示了。

好像以前wordpress出现这样的问题也是这么解决的,记在这里备用吧。

统计信息唧唧歪歪唧唧网ggyygg.net
  评论这张
 
阅读(1020)| 评论(4)
推荐 转载

历史上的今天

在LOFTER的更多文章

评论

<#--最新日志,群博日志--> <#--推荐日志--> <#--引用记录--> <#--博主推荐--> <#--随机阅读--> <#--首页推荐--> <#--历史上的今天--> <#--被推荐日志--> <#--上一篇,下一篇--> <#-- 热度 --> <#-- 网易新闻广告 --> <#--右边模块结构--> <#--评论模块结构--> <#--引用模块结构--> <#--博主发起的投票-->
 
 
 
 
 
 
 
 
 
 
 
 
 
 

页脚

网易公司版权所有 ©1997-2016